using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ConsoleApplication3
{
    class Program
    {
        static void Main(string[] args)
        {

            Int64 N = int.Parse(Console.ReadLine());
        
            double[,] a = new double[N,2];

                      for (int i = 0; i < N; i++)
                      {
                              string[] tokens = Console.ReadLine().Split();
                              a[i, 0] = double.Parse(tokens[0]);
                              a[i, 1] = double.Parse(tokens[1]);

                      }
                        ///sortiranje
                        ///
                        for (Int64 i = 0; i < N - 1; i++)
                        {

                            for (Int64 j = i + 1; j <N; j++)
                            {
                                if (a[j,1] > a[i,1])
                                {
                                    //Zamena
                                    double b = a[i,1];
                                    a[i,1] = a[j,1];
                                    a[j,1] = b;

                                    //Zamena
                                    double c = a[i,0];
                                    a[i,0] = a[j,0];
                                    a[j,0] = c;

                                }
                            }
                        }

                        double max = 0;

                        for (Int64 i = 0; i < N; i++)
                        {
                            double sum = 0;
                            for (Int64 j = 0; j <= i; j++)
                            {
                                sum = sum + a[j,0]*(a[i,1]/100);
                            }
                            if (sum > max)
                            {
                                max = sum;
                            }
                        }
                        Console.Write(max.ToString());
                        
            
        }
    }
}